import request from '@/utils/request'

// 查询员工资金流水列表
export function listFund(query) {
  return request({
    url: '/fund/fund/list',
    method: 'get',
    params: query
  })
}

// 查询员工资金流水详细
export function getFund(id) {
  return request({
    url: '/fund/fund/' + id,
    method: 'get'
  })
}

// 新增员工资金流水
export function addFund(data) {
  return request({
    url: '/fund/fund',
    method: 'post',
    data: data
  })
}

// 修改员工资金流水
export function updateFund(data) {
  return request({
    url: '/fund/fund',
    method: 'put',
    data: data
  })
}

// 删除员工资金流水
export function delFund(id) {
  return request({
    url: '/fund/fund/' + id,
    method: 'delete'
  })
}
